package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 协议对象 care_protocol
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareProtocol extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 协议标题 */
    @Excel(name = "协议标题")
    private String title;

    /** 协议内容 */
    @Excel(name = "协议内容")
    private String content;

    /** 协议版本号 */
    @Excel(name = "协议版本号")
    private String version;

    /** 协议生效日期 */
    @Excel(name = "协议生效日期")
    private String effectiveDate;

    /** 协议状态（激活或未激活） */
    @Excel(name = "协议状态", readConverterExp = "激=活或未激活")
    private String status;

    /** 协议类型（服务条款、隐私协议、用户协议等） */
    @Excel(name = "协议类型", readConverterExp = "服=务条款、隐私协议、用户协议等")
    private String type;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setEffectiveDate(String effectiveDate) 
    {
        this.effectiveDate = effectiveDate;
    }

    public String getEffectiveDate() 
    {
        return effectiveDate;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("version", getVersion())
            .append("effectiveDate", getEffectiveDate())
            .append("status", getStatus())
            .append("type", getType())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
